Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.compress
Class ICompressor.WrappedArray

    java.lang.Object
      org.apache.cassandra.io.compress.ICompressor.WrappedArray

Enclosing interface:
  ICompressor

    public static class ICompressor.WrappedArray

extends java.lang.Object

A simple wrapper of a byte array. Not all implementation allows to know what is the maximum size after compression. This make it hard to size the ouput buffer for compress (and we want to reuse the buffer). Instead we use this wrapped buffer so that compress can have the liberty to resize underlying array if need be.

Field Summary
`byte[]` | `buffer`

Constructor Summary
`ICompressor.WrappedArray(byte[] buffer)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### buffer

    public byte[] buffer

Constructor Detail

### ICompressor.WrappedArray

    public ICompressor.WrappedArray(byte[] buffer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation